net.minecraft.network

## Class ServerStatusResponse.MinecraftProtocolVersionIdentifier.Serializer

- java.lang.Object
- - net.minecraft.network.ServerStatusResponse.MinecraftProtocolVersionIdentifier.Serializer

- All Implemented Interfaces:
    com.google.gson.JsonDeserializer, com.google.gson.JsonSerializer
  Enclosing class:
    ServerStatusResponse.MinecraftProtocolVersionIdentifier

      public static class ServerStatusResponse.MinecraftProtocolVersionIdentifier.Serializer
      extends java.lang.Object
      implements com.google.gson.JsonDeserializer, com.google.gson.JsonSerializer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerStatusResponse.MinecraftProtocolVersionIdentifier.Serializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerStatusResponse.MinecraftProtocolVersionIdentifier` | `deserialize(com.google.gson.JsonElement p_151309_1_, java.lang.reflect.Type p_151309_2_, com.google.gson.JsonDeserializationContext p_151309_3_)`
    `com.google.gson.JsonElement` | `serialize(java.lang.Object par1Obj, java.lang.reflect.Type par2Type, com.google.gson.JsonSerializationContext par3JsonSerializationContext)`
    `com.google.gson.JsonElement` | `serialize(ServerStatusResponse.MinecraftProtocolVersionIdentifier p_151310_1_, java.lang.reflect.Type p_151310_2_, com.google.gson.JsonSerializationContext p_151310_3_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerStatusResponse.MinecraftProtocolVersionIdentifier.Serializer

          public ServerStatusResponse.MinecraftProtocolVersionIdentifier.Serializer()

  - ### Method Detail

    - #### deserialize

          public ServerStatusResponse.MinecraftProtocolVersionIdentifier deserialize(com.google.gson.JsonElement p_151309_1_,
                                                                            java.lang.reflect.Type p_151309_2_,
                                                                            com.google.gson.JsonDeserializationContext p_151309_3_)

      Specified by:
        `deserialize` in interface `com.google.gson.JsonDeserializer`

    - #### serialize

          public com.google.gson.JsonElement serialize(ServerStatusResponse.MinecraftProtocolVersionIdentifier p_151310_1_,
                                              java.lang.reflect.Type p_151310_2_,
                                              com.google.gson.JsonSerializationContext p_151310_3_)

    - #### serialize

          public com.google.gson.JsonElement serialize(java.lang.Object par1Obj,
                                              java.lang.reflect.Type par2Type,
                                              com.google.gson.JsonSerializationContext par3JsonSerializationContext)

      Specified by:
        `serialize` in interface `com.google.gson.JsonSerializer`